<?
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
    
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

/*if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
			<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
		  </div>';
} else*/
if ( !$config_user['activate'] AND isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Для продолжения, Вам необходимо активировать свой аккаунт, перейдя в раздел <a class="a_link" href="/profile" >настройки аккаунта</a>. </p>
			
		  </div>';
} else {
    
	#Удаление просмотреные ссылки в серфинге
    mysql_query( "DELETE FROM dynlink_temp WHERE date <= '" . time() . "'" );
	
	#Определяем страну 
	$regcode = find_country();
    
	?>
    <script type="text/javascript">
		$(document).ready(function(){
			$('.serf_mini').tipTip({defaultPosition:'right'});
			$('.serf_standart').tipTip({defaultPosition:'right'});
			$('.serf_mega').tipTip({defaultPosition:'right'});
			$('.serf_vip').tipTip({defaultPosition:'right'});
			$('.serf_active').tipTip({defaultPosition:'right'});
			$('.time_title_serf').tipTip({defaultPosition:'right'});
			$('.s_erotic').tipTip({defaultPosition:'right'});
			$('.tiptip-css-class').tipTip({defaultPosition:'right'});
			$('.smoolgray').tipTip({defaultPosition:'right'});
		});
		function hidelink(id, username) {
			$('#d'+id).fadeOut();
		}
	</script>
	
	<? include_once ROOT_DIR . '/modules/panel_manager/section_earnings.php'; ?>
		
	<div class="content_bar">
		<article class="postBox">
			<div class="image_serfing_p"></div>
			<p class="earnings_text" style="color: #545454;">
				На <?=$config_site['sitename'] ?> платят реальные деньги за просмотр рекламных сайтов. Есть несколько видов: Standart, vip, Mini, баннерный сёрфинг. Отличаются они временем просмотра и суммой оплаты за просмотр. Для получения оплаты перейдите по ссылке, просмотрите рекламный сайт и нажмите подтвердить. 
				
			</p>
			<table class="work-serf">
				<tbody>
					<?
					$sh_dyn = mysql_query( "SELECT * FROM dynlink t1  WHERE t1.paused = 1 and t1.plus = 0 and NOT EXISTS ( SELECT ident, iduser FROM dynlink_temp t2 WHERE t1.id = t2.ident and t2.iduser = '" . $_SESSION['iduser'] . "' ) and id IN (SELECT id FROM dynlink WHERE geo_ru = '".$regcode."' OR geo_ua = '".$regcode."' OR geo_by = '".$regcode."' OR geo_kz = '".$regcode."' OR geo_ge = '".$regcode."' OR geo_md = '".$regcode."' OR geo_am = '".$regcode."' OR geo_tj = '".$regcode."' OR geo_az = '".$regcode."' OR geo_uz = '".$regcode."' OR geo_pt = '".$regcode."' OR geo_es = '".$regcode."' OR geo_ee = '".$regcode."' OR geo_lv = '".$regcode."' OR geo_lt = '".$regcode."' OR geo_us = '".$regcode."' OR geo_gb = '".$regcode."' OR geo_fr = '".$regcode."' OR geo_de = '".$regcode."' OR geo_cn = '".$regcode."' OR geo_it = '".$regcode."' OR geo_all = '".$regcode."') ORDER BY t1.vip DESC, t1.timer DESC, t1.date DESC" );
					if ( mysql_num_rows( $sh_dyn ) > 0 ) {
						while ( $sh_dyn_row = mysql_fetch_array( $sh_dyn ) ) {
							switch ( $sh_dyn_row['timer'] ) {
								case 0: $stymer = $config['dyn10']; $time_serf = 10; break;
								case 1: $stymer = $config['dyn20']; $time_serf = 20; break;
								case 2: $stymer = $config['dyn30']; $time_serf = 30; break;
								case 3: $stymer = $config['dyn40']; $time_serf = 40; break;
								case 4: $stymer = $config['dyn50']; $time_serf = 50; break;
								case 5: $stymer = $config['dyn60']; $time_serf = 60; break;
								case 6: $stymer = $config['dyn70']; $time_serf = 70; break;
								case 7: $stymer = $config['dyn80']; $time_serf = 80; break;
								case 8: $stymer = $config['dyn90']; $time_serf = 90; break;
								case 9: $stymer = $config['dyn100']; $time_serf = 100; break;
								case 10: $stymer = $config['dyn125']; $time_serf = 125; break;
								case 11: $stymer = $config['dyn150']; $time_serf = 150; break;
								case 12: $stymer = $config['dyn200']; $time_serf = 200; break;
								case 13: $stymer = $config['dyn250']; $time_serf = 250; break;
								case 14: $stymer = $config['dyn300']; $time_serf = 300; break;
							}
								
							if ( $sh_dyn_row['balance'] < ( $sh_dyn_row['obper'] * $config['obper'] ) + ($sh_dyn_row['active_window'] * $config['active_window']) + ( $sh_dyn_row['vip'] * $config['vipdyn'] ) + $stymer and $sh_dyn_row['testdrive'] == 0 ) {
								#Ставим на паузу если баланс меньше цены
								mysql_query( "UPDATE dynlink SET paused = 0 WHERE id = '" . $sh_dyn_row['id'] . "'" );
							} else {
								
									
								#Проверка V.I.P
								if ( $sh_dyn_row['vip'] == 1 ) {
									$img_dyn = '<div class="serf_vip" title="V.I.P. ссылка"><i class="fa fa-diamond serf_vip_fix" aria-hidden="true"></i></div>';
								} else {
									
									#Мини ссылка 10/20с.
									if ( $sh_dyn_row['timer'] <= 1 ) {
										$img_dyn = '<div class="serf_mini" title="Мини ссылка (от 10 до 20 сек.)"><i class="fa fa-mouse-pointer serf_mini_fix" aria-hidden="true"></i></div>';
									}
									
									#Стандарт ссылка 30/90с.
									if ( $sh_dyn_row['timer'] >= 2 AND $sh_dyn_row['timer'] <= 8 ) {
										$img_dyn = '<div class="serf_standart" title="Стандартная ссылка (от 30 до 90 сек.)"><i class="fa fa-mouse-pointer serf_mini_fix" aria-hidden="true"></i></div>';
									}
									
									#Мега ссылка 100/250с.
									if ( $sh_dyn_row['timer'] > 8 ) {
										$img_dyn = '<div class="serf_mega" title="Мега ссылка (от 100 до 250 сек.)"><i class="fa fa-mouse-pointer serf_mini_fix" aria-hidden="true"></i></div>';
									}
									
								}
								
								#Активная ссылка
								if ( $sh_dyn_row['active_window'] >= 1 ) {
									$active_window_dyn = '<span id="blink2" class="serf_active" title="Просмотр ссылки только в активном окне"><i class="fa fa-font" aria-hidden="true"></i></span>';
								} else {
									$active_window_dyn = '';
								}
								
								#Проверка 18+
								if ( $sh_dyn_row['erotic'] == 1 ) {
									$img_erotic = '<span class="s_erotic" title="Лицам младше 18 лет, просмотр строго запрещен!"><span class="glyphicon glyphicon-eye-close"></span> 18</span>';
								} else {
									$img_erotic = '';
								}
								
								#Проверяем есть ли у площадки рекламодатель для оперделения иконки и ссылки на стенку
								if ($sh_dyn_row['iduser'] == 0) {
									$advertiser_button = '<i class="glyphicon glyphicon-user no_workevents tiptip-css-class" aria-hidden="true" title="Рекламодатель не известный, это заказ от не авторизированного пользователя."></i>';
								} else {
									$advertiser_button = '<a class="workevents" href="/id' . $sh_dyn_row['iduser'] . '" target="_blank"><i class="glyphicon glyphicon-user workevents  tiptip-css-class" aria-hidden="true" title="Перейти на стенку рекламодателя?"></i></a>';
								}
								
								#Считаем сколько осталось визитов у ссылки
								$adv_price = ($sh_dyn_row['obper'] * $config['obper']) + ($sh_dyn_row['active_window'] * $config['active_window']) + ($sh_dyn_row['vip'] * $config['vipdyn']) + $stymer;
								$adv_price = ( int ) ( $sh_dyn_row['balance'] / $adv_price );
								
								#Если стоит функция только для свободных рефералов
								if ( !$sh_dyn_row['freeid'] or $config_user['referer'] == 0 ) {
								?>
								  <tr id="d<?=$sh_dyn_row['id']?>">
									<td class="normal" width="40" valign="top"><div class="img-dyn-fix"><?=$img_dyn?></div></td>
									<td id="" class="normalm"  valign="top">
									  <? if ( !isset( $_SESSION['iduser'] ) ) { ?>
										<a href="<?=$sh_dyn_row['url']?>" target="_blank" onclick="hidelink(<?=$sh_dyn_row['id']?>);">
										  <img src="//www.google.com/s2/favicons?domain=<?=$sh_dyn_row['url']?>" alt="" title="" style=" padding:0;" align="absmiddle" width="16" height="16" border="0">
										  <?=$sh_dyn_row['title']?><br>
										  <span class="desctext"><?=$sh_dyn_row['description']?></span>
										</a>
									  <? } else { ?>
										<a href="<?=$config_site['serf_url']?>/standard=<?=$sh_dyn_row['id']?>" target="_blank" onclick="hidelink(<?=$sh_dyn_row['id']?>);">
										  <img src="//www.google.com/s2/favicons?domain=<?=$sh_dyn_row['url']?>" alt="" title="" style=" padding:0;" align="absmiddle" width="16" height="16" border="0">
										  <?=$sh_dyn_row['title']?><br>
										  <span class="desctext"><?=$sh_dyn_row['description']?></span>
										</a>
									  <? } ?>
									</td>
									<td class="normal" style=" text-align: right; padding-right: 15px; " valign="top" nowrap="nowrap">
									  <div style="margin-top: -5px; margin-bottom: 3px; padding-bottom: 2px;" >
										<span class="smoolgray" title="Осталось визитов">(<?if($sh_dyn_row['testdrive'] != 1) { echo $adv_price; } else { echo $config['testdriveSum'] - $sh_dyn_row['visits']; }?>)</span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										<span class="clickprice">Цена: <?=moneyraund( $stymer * $config['factor'], 3 )?> </span><br>
										<a onclick="adv_ell.complaints(<?=$sh_dyn_row['id']?>, 'serf');" class="complaints_adv " target="_blank">
										  <i class="glyphicon glyphicon-ban-circle workcomp tiptip-css-class" aria-hidden="true" title="Пожаловаться на рекламу"></i>
										</a>
										<?=$advertiser_button?> 
										<a class="workvir" href="http://online.us.drweb.com/result/?url=<?=$sh_dyn_row['url']?>" target="_blank">
										  <i class="fa fa-shield workvir tiptip-css-class" aria-hidden="true" title="Проверить ссылку на вирусы"></i>
										</a>
										<div class="serficon_timer" ><div class="glyphicon glyphicon-time time_title_serf" title="Время просмотра ссылки (значение указано в секундах)."></div> <span class="time_title_serf" title="Время просмотра ссылки (значение указано в секундах)."><?=$time_serf?></span><?=$img_erotic?><?=$active_window_dyn?></div> 
									  </div>
									</td>
								  </tr>
								  
								<?
								} else {
									
								}
							}
						}
					} else {
						echo '<br><div class="alert alert-success2 "><i class="fa fa-info-circle" style="font-size: 18px;" aria-hidden="true"></i> В данный момент нет доступных ссылок, попробуйте пока выполнить какое нибудь <a class="alert-success2_link" href="/tasks"><b>задание</b></a></div>';
					}
					?>
				</tbody>
			</table>
			<div class="banner_gorizontal banner_gorizontal_fix"><? include_once ROOT_DIR . '/modules/banner468x60/rotator.php';?></div>
			<? include_once ROOT_DIR . '/modules/statlink/statlink.php';?>
		
		</article>
	</div>
	<?
}

?>